igrep(1)

NAME
igrep -- search images for matching metadata

SYNOPSIS

Usage: igrep [options] pattern filename...

DESCRIPTION
This program is part of the OpenImageIO (http://www.openimageio.org) tool suite. Detailed documentation is available in pdf format with the OpenImageIO distribution.

OPTIONS

--help
    Print help message

--version
    Print version and exit

-i  Ignore upper/lower case distinctions

-v  Invert match (select non-matching files)

-E  Pattern is an extended regular expression

-f  Match against file name as well as metadata

-l  List the matching files (no detail)

-r  Recurse into directories

-d  Print directories (when recursive)

-a  Search all subimages of each file